Subject: bug#35484: GDM failing to start stumpwm after merge

From: [email-masked]
Date: Mon, 29 Apr 2019 19:20:53 +0200

On 29.04.2019 18:05, Timothy Sample wrote:
> Hi again,
> 
> Timothy Sample <[email-masked]> writes:
> 
>> Hi Brett,
>> 
>> Brett Gilio <[email-masked]> writes:
>> 
>>> Hey all
>>> 
>>> I just reconfigured my system configuration after the big staging 
>>> merge
>>> to master. I use StumpWM.
>>> 
>>> GDM seems to be starting just fine, but after this reconfiguration
>>> stumpwm or X or something is crashing for me and looping me back to 
>>> GDM.
>>> 
>>> Where are the logs I can view for this? I see some message appear but
>>> quickly disappear before looping back into GDM.
>> 
>> GDM logs things to “/var/log/messages”.  However, it may not be useful
>> in this case (do take a look, though).
>> 
>>> If I can get the logs I can share them or try and figure it out 
>>> myself.
>> 
>> You could also share some other details about your config.  For
>> instance, how is StumpWM started?  Do you have a “~/.xsession” script 
>> or
>> does StumpWM provide a “.desktop” file that GDM needs to find?
> 
> After doing some testing in a VM, it looks like this is an issue with 
> my
> recent commit: 8caa458953eeac783c73a0e5aaa72842fe3914c9.
> 
> I added a placeholder desktop entry file, and even though I did my best
> to make it invisible, GDM is still selecting it.  (I tested GNOME and
> XFCE, but I guess they were preferred by GDM over the placeholder,
> whereas StumpWM is not.  Maybe the has to do with how the names are
> sorted.)  I will try and fix this today, but in the mean time, you can
> either:
> 
>     • go back to using SLiM for now;
>     • launch StumpWM from “~/.xsession”; or
>     • install another WM, so that you can select StumpWM explicitly 
> when
>       logging in (using the little gear icon that shows up when you 
> have
>       multiple sessions available).
> 
> Sorry!
> 
> 
> -- Tim

Thank you for looking into this Tim! I have gone back to SLiM for the 
time being until it is fixed :).

If anybody else is having this issue, going back to SLiM is really easy, 
check out my commit for reference.

https://github.com/brettgilio/guix-system/commit/64d389db13c2f78ee5c58af28c1639b098113c93